.\"	$NetBSD: tslot.4,v 1.2 2005/07/18 14:53:58 wiz Exp $
.\"
.\" Copyright (c) 2005 Michael Lorenz
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" ported from OpenBSD
.Dd July 16, 2005
.Dt TSLOT 4 sparc
.Os
.Sh NAME
.Nm tslot
.Nd sbus pcmcia bridge
.Sh SYNOPSIS
.Cd "tslot* at sbus? slot ? offset ?"
.Cd "pcmcia* at tslot? controller ? socket ?"
.Sh DESCRIPTION
.Nm
is a driver for the PCMCIA part of the TS102 chip found in Tadpole
SPARCbooks.
The microcontroller interface is supported by
.Xr tctrl 4 .
.Sh KERNEL THREAD
Each
.Nm
instance creates a kernel thread, named like the instance.
This thread is used to watch for card insertions and removals, and
handling the attachment and initialization of the card's driver.
.Sh SEE ALSO
.Xr pcmcia 4 ,
.Xr sbus 4 ,
.Xr tctrl 4
